xcb_input_change_device_dont_propagate_list(3)

NAME
xcb_input_change_device_dont_propagate_list -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_change_device_dont_propagate_list(xcb_connection_t *conn, xcb_window_t window, uint16_t num_classes, uint8_t mode, const xcb_input_event_class_t *classes);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

num_classes
    TODO: NOT YET DOCUMENTED.

mode
    TODO: NOT YET DOCUMENTED.

classes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_change_device_dont_propagate_list_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.